%global commit0 19063c18b4f14cc438e751dee281687955c1039d
%global gittag0 jocci-api-0.2.6
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

# requires network access
%global use_tests 1

Name:           jOCCI-api
Version:        0.2.6
Release:        1%{?dist}
Summary:        Java OCCI library

License:        ASL 2.0
URL:            https://github.com/EGI-FCTF/jOCCI-api
Source0:        https://github.com/EGI-FCTF/%{name}/archive/%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz

BuildArch:      noarch
BuildRequires:  maven-local
BuildRequires:  mvn(cz.cesnet.cloud:jocci-core)
BuildRequires:  mvn(com.google.code.gson:gson)
%if 0%{?use_tests}
# to download dependencies
BuildRequires:  xmvn maven-clean-plugin maven-dependency-plugin maven-deploy-plugin maven-install-plugin
BuildRequires:  mvn(junit:junit)
# not available (downloaded)
#BuildRequires:  mvn(com.github.tomakehurst:wiremock)
%endif
BuildRequires:  mvn(org.apache.httpcomponents:httpclient:4.3)
BuildRequires:  mvn(org.bouncycastle:bcprov-jdk16:1.46)
BuildRequires:  mvn(org.slf4j:slf4j-log4j12)

%description
jOCCI-api is a java library implementing transport functions for rendered OCCI
(Open Cloud Computing Interface) queries. It's built on top of jOCCI-core and
currently provides HTTP transport functionality with set of authentication
methods and basic requesting interface to easily communicate with OCCI servers.


%package        javadoc
Summary:        Javadoc for %{name}
Requires:       %{name} = %{version}-%{release}

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{name}-%{commit0}

%pom_remove_plugin com.github.github:site-maven-plugin
%pom_remove_plugin org.sonatype.plugins:nexus-staging-maven-plugin


%build
%pom_remove_dep org.apache.httpcomponents:httpclient
%pom_add_dep org.apache.httpcomponents:httpclient:4.3

%if 0%{?use_tests}
mvn_bootstrap=1 xmvn -DincludeArtifactIds=com.github.tomakehurst:wiremock dependency:copy-dependencies
%mvn_build
%else
%mvn_build -f
%endif


%install
%mvn_install


%files -f .mfiles
%license LICENSE
%doc README.md
%dir %{_javadir}/%{name}/

%files javadoc -f .mfiles-javadoc


%changelog
* Thu Sep 08 2016 František Dvořák <valtri@civ.zcu.cz> - 0.2.6-1
- Initial package
